Skip to content
You're viewing documentation for v2026.11.11-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get on-disk backup state

Read on-disk backup config state.

GET/api/v1/servers/{id}/backup-state
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

errorstring
reachablebooleanrequired
server_idstringrequired
stanzasServerStanzaBackupState[]required
Show properties
Array of ServerStanzaBackupState
cronsCronJobParsed[]required
Show properties
Array of CronJobParsed
daystringrequired
dowstringrequired
filestringrequired
hourstringrequired
minutestringrequired
monthstringrequired
repointeger<int64>
rolestring
stanzastringrequired
typestringrequired
namestringrequired
reposPgbackrestRepoConf[]required
Show properties
Array of PgbackrestRepoConf
hoststring
host_userstring
pathstring
repo_indexinteger<int64>required
retention_fullinteger<int64>
retention_full_typestring
typestring
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/servers/string/backup-state' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "error": "string",
  "reachable": true,
  "server_id": "string",
  "stanzas": [
    {
      "crons": [
        {
          "day": "string",
          "dow": "string",
          "file": "string",
          "hour": "string",
          "minute": "string",
          "month": "string",
          "repo": 0,
          "role": "string",
          "stanza": "string",
          "type": "string"
        }
      ],
      "name": "string",
      "repos": [
        {
          "host": "string",
          "host_user": "string",
          "path": "string",
          "repo_index": 0,
          "retention_full": 0,
          "retention_full_type": "string",
          "type": "string"
        }
      ]
    }
  ]
}